edu.whs.spin2018.baoapp.views.menues

## Class SpieleinstellungenActivity

- java.lang.Object
- - android.content.Context
  - - android.content.ContextWrapper
    - - android.view.ContextThemeWrapper
      - - android.app.Activity
        - - android.support.v4.app.SupportActivity
          - - android.support.v4.app.FragmentActivity
            - - android.support.v7.app.AppCompatActivity
              - - edu.whs.spin2018.baoapp.views.OnlineActivity
                - - edu.whs.spin2018.baoapp.views.menues.SpieleinstellungenActivity

- All Implemented Interfaces:
    android.arch.lifecycle.LifecycleOwner, android.arch.lifecycle.ViewModelStoreOwner, android.content.ComponentCallbacks, android.content.ComponentCallbacks2, android.content.ServiceConnection, android.support.v4.app.ActivityCompat.OnRequestPermissionsResultCallback, android.support.v4.app.ActivityCompat.RequestPermissionsRequestCodeValidator, android.support.v4.app.TaskStackBuilder.SupportParentable, android.support.v4.view.KeyEventDispatcher.Component, android.support.v7.app.ActionBarDrawerToggle.DelegateProvider, android.support.v7.app.AppCompatCallback, android.view.KeyEvent.Callback, android.view.LayoutInflater.Factory, android.view.LayoutInflater.Factory2, android.view.View.OnCreateContextMenuListener, android.view.Window.Callback, android.widget.AdapterView.OnItemSelectedListener, BaseView<SpieleinstellungenContract.Presenter>, SpieleinstellungenContract.View, SpieleinstellungenVerlassenDialog.OnAuswahlGetroffenListener, SpieleinstellungenWurdenVerlassenDialog.OnDialogBestaetigtListener

      public class SpieleinstellungenActivity
      extends OnlineActivity
      implements SpieleinstellungenContract.View, android.widget.AdapterView.OnItemSelectedListener, SpieleinstellungenVerlassenDialog.OnAuswahlGetroffenListener, SpieleinstellungenWurdenVerlassenDialog.OnDialogBestaetigtListener

  Diese Klasse ermöglicht die Einigung der Spieleinstellungen zweier Spieler, wenn sich diese mit einenander verunden haben. Wählt ein Spieler eine Spieleinstellung aus, wird diese über den Server an den verbundenen Gegenspieler gesendet und dort angezeigt.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.support.v4.app.SupportActivity

      `android.support.v4.app.SupportActivity.ExtraData`

  - ### Field Summary

    - ### Fields inherited from class android.app.Activity

      `DEFAULT_KEYS_DIALER, DEFAULT_KEYS_DISABLE, DEFAULT_KEYS_SEARCH_GLOBAL, DEFAULT_KEYS_SEARCH_LOCAL, DEFAULT_KEYS_SHORTCUT, FOCUSED_STATE_SET, RESULT_CANCELED, RESULT_FIRST_USER, RESULT_OK`

    - ### Fields inherited from class android.content.Context

      `ACCESSIBILITY_SERVICE, ACCOUNT_SERVICE, ACTIVITY_SERVICE, ALARM_SERVICE, APP_OPS_SERVICE, APPWIDGET_SERVICE, AUDIO_SERVICE, BATTERY_SERVICE, BIND_ABOVE_CLIENT, BIND_ADJUST_WITH_ACTIVITY, BIND_ALLOW_OOM_MANAGEMENT, BIND_AUTO_CREATE, BIND_DEBUG_UNBIND, BIND_EXTERNAL_SERVICE, BIND_IMPORTANT, BIND_NOT_FOREGROUND, BIND_WAIVE_PRIORITY, BLUETOOTH_SERVICE, CAMERA_SERVICE, CAPTIONING_SERVICE, CARRIER_CONFIG_SERVICE, CLIPBOARD_SERVICE, COMPANION_DEVICE_SERVICE, CONNECTIVITY_SERVICE, CONSUMER_IR_SERVICE, CONTEXT_IGNORE_SECURITY, CONTEXT_INCLUDE_CODE, CONTEXT_RESTRICTED, CROSS_PROFILE_APPS_SERVICE, DEVICE_POLICY_SERVICE, DISPLAY_SERVICE, DOWNLOAD_SERVICE, DROPBOX_SERVICE, EUICC_SERVICE, FINGERPRINT_SERVICE, HARDWARE_PROPERTIES_SERVICE, INPUT_METHOD_SERVICE, INPUT_SERVICE, IPSEC_SERVICE, JOB_SCHEDULER_SERVICE, KEYGUARD_SERVICE, LAUNCHER_APPS_SERVICE, LAYOUT_INFLATER_SERVICE, LOCATION_SERVICE, MEDIA_PROJECTION_SERVICE, MEDIA_ROUTER_SERVICE, MEDIA_SESSION_SERVICE, MIDI_SERVICE, MODE_APPEND, MODE_ENABLE_WRITE_AHEAD_LOGGING, MODE_MULTI_PROCESS, MODE_NO_LOCALIZED_COLLATORS, MODE_PRIVATE, MODE_WORLD_READABLE, MODE_WORLD_WRITEABLE, NETWORK_STATS_SERVICE, NFC_SERVICE, NOTIFICATION_SERVICE, NSD_SERVICE, POWER_SERVICE, PRINT_SERVICE, RECEIVER_VISIBLE_TO_INSTANT_APPS, RESTRICTIONS_SERVICE, SEARCH_SERVICE, SENSOR_SERVICE, SHORTCUT_SERVICE, STORAGE_SERVICE, STORAGE_STATS_SERVICE, SYSTEM_HEALTH_SERVICE, TELECOM_SERVICE, TELEPHONY_SERVICE, TELEPHONY_SUBSCRIPTION_SERVICE, TEXT_CLASSIFICATION_SERVICE, TEXT_SERVICES_MANAGER_SERVICE, TV_INPUT_SERVICE, UI_MODE_SERVICE, USAGE_STATS_SERVICE, USB_SERVICE, USER_SERVICE, VIBRATOR_SERVICE, WALLPAPER_SERVICE, WIFI_AWARE_SERVICE, WIFI_P2P_SERVICE, WIFI_RTT_RANGING_SERVICE, WIFI_SERVICE, WINDOW_SERVICE`

    - ### Fields inherited from interface android.content.ComponentCallbacks2

      `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpieleinstellungenActivity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initView()` Initialisiert die View-Elemente
    `void` | `ladeSpieldauerSpinner()` Fuellt den Spinner mit Werten fuer die Spieldauer.
    `void` | `onBackPressed()`
    `protected void` | `onCreate(android.os.Bundle savedInstanceState)`
    `void` | `onDialogBestaetigt()`
    `void` | `onItemSelected(android.widget.AdapterView<?> parent, android.view.View view, int position, long id)`
    `void` | `onNothingSelected(android.widget.AdapterView<?> parent)`
    `void` | `onPause()` Diese Methode wird ausgeführt, wenn die Activity nicht mehr sichtbar ist.
    `void` | `onResume()` Diese Methode wird ausgeführt, wenn die Activity wieder sichtbar wird.
    `void` | `onServiceConnected(android.content.ComponentName name, android.os.IBinder service)`
    `void` | `onServiceDisconnected(android.content.ComponentName name)`
    `void` | `onVerlassenAbgebrochen()` Teilt der Activity mit, dass die Spieleinstellungen nicht verlassen werden sollen.
    `void` | `onVerlassenBestaetigt()` Teilt der Activity mit, dass die Spieleinstellungen verlassen werden sollen.
    `void` | `setzeBereitButtonsAktiv(boolean aktiv)` Ermöglicht das Klicken auf den Bereit Button des Spielers.
    `void` | `setzePresenter(SpieleinstellungenContract.Presenter presenter)`
    `void` | `setzeSpinnerListener()` Bindet Listener an die Spinner-Elemente um zu überprüfen, welches Item aus dem Spinner gewählt wurde.
    `void` | `starteSpiel(java.lang.String zeittyp, java.lang.String gegnername, java.lang.String raum, int minutenIndex, int sekundenIndex)` Startet das Spiel auf Basis der eingestellten Zeiten.
    `void` | `versteckeSpinner()` Blendet die Spinner zur Auswahl der Zeit aus.
    `void` | `zeigeGegnerHatEinstellungenVerlassen()` Zeigt dem Spieler an, dass der Gegner die Spieleinstellungen verlassen hat
    `void` | `zeigeGegnerIstBereit(boolean istBereit)` Zeigt an, ob der Gegner bereit ist.
    `void` | `zeigeGegnerZeittyp(java.lang.String zeittyp)` Zeigt den vom Gegner ausgewaehlten Zeittypen an.
    `void` | `zeigeNeueGegnerMinuten(int minutenIndex)` Zeigt die vom Gegner gewaehlten Minuten.
    `void` | `zeigeNeueGegnerSekunden(int sekundenIndex)` Zeigt die vom Gegner gewaehlten Sekunden.
    `void` | `zeigeSpielerIstBereit(boolean istBereit)` Zeigt an, ob der Spieler bereit ist.
    `void` | `zeigeSpielerZeittyp(java.lang.String zeitTyp)` Zeigt den vom Spieler gewaehlten Zeittyp an.
    `void` | `zeigeSpinner(java.lang.String zeittyp)` Zeigt bei gleichem Zeittyp (außer bei "OhneZeit") die Spinner zur Auswahl der Zeit an.
    `void` | `zeigeZeittypOhneZeit(boolean istSpieler)`
    `void` | `zeigeZeittypRundenzeit(boolean istSpieler)` Zeigt den Zeittyp Rundenzeit fuer den Spieler oder den Gegner an.

    - ### Methods inherited from class edu.whs.spin2018.baoapp.views.OnlineActivity

      `onStart, onStop`

    - ### Methods inherited from class android.support.v7.app.AppCompatActivity

      `addContentView, closeOptionsMenu, dispatchKeyEvent, findViewById, getDelegate, getDrawerToggleDelegate, getMenuInflater, getResources, getSupportActionBar, getSupportParentActivityIntent, invalidateOptionsMenu, onConfigurationChanged, onContentChanged, onCreateSupportNavigateUpTaskStack, onDestroy, onKeyDown, onMenuItemSelected, onMenuOpened, onPanelClosed, onPostCreate, onPostResume, onPrepareSupportNavigateUpTaskStack, onSaveInstanceState, onSupportActionModeFinished, onSupportActionModeStarted, onSupportContentChanged, onSupportNavigateUp, onTitleChanged, onWindowStartingSupportActionMode, openOptionsMenu, setContentView, setContentView, setContentView, setSupportActionBar, setSupportProgress, setSupportProgressBarIndeterminate, setSupportProgressBarIndeterminateVisibility, setSupportProgressBarVisibility, setTheme, startSupportActionMode, supportInvalidateOptionsMenu, supportNavigateUpTo, supportRequestWindowFeature, supportShouldUpRecreateTask`

    - ### Methods inherited from class android.support.v4.app.FragmentActivity

      `dump, getLastCustomNonConfigurationInstance, getLifecycle, getSupportFragmentManager, getSupportLoaderManager, getViewModelStore, onActivityResult, onAttachFragment, onCreatePanelMenu, onCreateView, onCreateView, onLowMemory, onMultiWindowModeChanged, onNewIntent, onPictureInPictureModeChanged, onPrepareOptionsPanel, onPreparePanel, onRequestPermissionsResult, onResumeFragments, onRetainCustomNonConfigurationInstance, onRetainNonConfigurationInstance, onStateNotSaved, setEnterSharedElementCallback, setExitSharedElementCallback, startActivityForResult, startActivityForResult, startActivityFromFragment, startActivityFromFragment, startIntentSenderForResult, startIntentSenderForResult, startIntentSenderFromFragment, supportFinishAfterTransition, supportPostponeEnterTransition, supportStartPostponedEnterTransition, validateRequestPermissionsRequestCode`

    - ### Methods inherited from class android.support.v4.app.SupportActivity

      `dispatchKeyShortcutEvent, getExtraData, putExtraData, superDispatchKeyEvent`

    - ### Methods inherited from class android.app.Activity

      `attachBaseContext, closeContextMenu, createPendingResult, dismissDialog, dismissKeyboardShortcutsHelper, dispatchGenericMotionEvent, dispatchPopulateAccessibilityEvent, dispatchTouchEvent, dispatchTrackballEvent, enterPictureInPictureMode, enterPictureInPictureMode, finish, finishActivity, finishActivityFromChild, finishAffinity, finishAfterTransition, finishAndRemoveTask, finishFromChild, getActionBar, getApplication, getCallingActivity, getCallingPackage, getChangingConfigurations, getComponentName, getContentScene, getContentTransitionManager, getCurrentFocus, getFragmentManager, getIntent, getLastNonConfigurationInstance, getLayoutInflater, getLoaderManager, getLocalClassName, getMaxNumPictureInPictureActions, getMediaController, getParent, getParentActivityIntent, getPreferences, getReferrer, getRequestedOrientation, getSearchEvent, getSystemService, getTaskId, getTitle, getTitleColor, getVoiceInteractor, getVolumeControlStream, getWindow, getWindowManager, hasWindowFocus, isActivityTransitionRunning, isChangingConfigurations, isChild, isDestroyed, isFinishing, isImmersive, isInMultiWindowMode, isInPictureInPictureMode, isLocalVoiceInteractionSupported, isTaskRoot, isVoiceInteraction, isVoiceInteractionRoot, managedQuery, moveTaskToBack, navigateUpTo, navigateUpToFromChild, onActionModeFinished, onActionModeStarted, onActivityReenter, onApplyThemeResource, onAttachedToWindow, onAttachFragment, onChildTitleChanged, onContextItemSelected, onContextMenuClosed, onCreate, onCreateContextMenu, onCreateDescription, onCreateDialog, onCreateDialog, onCreateNavigateUpTaskStack, onCreateOptionsMenu, onCreatePanelView, onCreateThumbnail, onDetachedFromWindow, onEnterAnimationComplete, onGenericMotionEvent, onKeyLongPress, onKeyMultiple, onKeyShortcut, onKeyUp, onLocalVoiceInteractionStarted, onLocalVoiceInteractionStopped, onMultiWindowModeChanged, onNavigateUp, onNavigateUpFromChild, onOptionsItemSelected, onOptionsMenuClosed, onPictureInPictureModeChanged, onPostCreate, onPrepareDialog, onPrepareDialog, onPrepareNavigateUpTaskStack, onPrepareOptionsMenu, onProvideAssistContent, onProvideAssistData, onProvideKeyboardShortcuts, onProvideReferrer, onRestart, onRestoreInstanceState, onRestoreInstanceState, onSaveInstanceState, onSearchRequested, onSearchRequested, onTouchEvent, onTrackballEvent, onTrimMemory, onUserInteraction, onUserLeaveHint, onVisibleBehindCanceled, onWindowAttributesChanged, onWindowFocusChanged, onWindowStartingActionMode, onWindowStartingActionMode, openContextMenu, overridePendingTransition, postponeEnterTransition, recreate, registerForContextMenu, releaseInstance, removeDialog, reportFullyDrawn, requestDragAndDropPermissions, requestPermissions, requestShowKeyboardShortcuts, requestVisibleBehind, requestWindowFeature, requireViewById, runOnUiThread, setActionBar, setContentTransitionManager, setDefaultKeyMode, setEnterSharedElementCallback, setExitSharedElementCallback, setFeatureDrawable, setFeatureDrawableAlpha, setFeatureDrawableResource, setFeatureDrawableUri, setFinishOnTouchOutside, setImmersive, setIntent, setMediaController, setPictureInPictureParams, setProgress, setProgressBarIndeterminate, setProgressBarIndeterminateVisibility, setProgressBarVisibility, setRequestedOrientation, setResult, setResult, setSecondaryProgress, setShowWhenLocked, setTaskDescription, setTitle, setTitle, setTitleColor, setTurnScreenOn, setVisible, setVolumeControlStream, setVrModeEnabled, shouldShowRequestPermissionRationale, shouldUpRecreateTask, showAssist, showDialog, showDialog, showLockTaskEscapeMessage, startActionMode, startActionMode, startActivities, startActivities, startActivity, startActivity, startActivityFromChild, startActivityFromChild, startActivityFromFragment, startActivityFromFragment, startActivityIfNeeded, startActivityIfNeeded, startIntentSender, startIntentSender, startIntentSenderFromChild, startIntentSenderFromChild, startLocalVoiceInteraction, startLockTask, startManagingCursor, startNextMatchingActivity, startNextMatchingActivity, startPostponedEnterTransition, startSearch, stopLocalVoiceInteraction, stopLockTask, stopManagingCursor, takeKeyEvents, triggerSearch, unregisterForContextMenu`

    - ### Methods inherited from class android.view.ContextThemeWrapper

      `applyOverrideConfiguration, getAssets, getTheme`

    - ### Methods inherited from class android.content.ContextWrapper

      `bindService, checkCallingOrSelfPermission, checkCallingOrSelfUriPermission, checkCallingPermission, checkCallingUriPermission, checkPermission, checkSelfPermission, checkUriPermission, checkUriPermission, clearWallpaper, createConfigurationContext, createContextForSplit, createDeviceProtectedStorageContext, createDisplayContext, createPackageContext, databaseList, deleteDatabase, deleteFile, deleteSharedPreferences, enforceCallingOrSelfPermission, enforceCallingOrSelfUriPermission, enforceCallingPermission, enforceCallingUriPermission, enforcePermission, enforceUriPermission, enforceUriPermission, fileList, getApplicationContext, getApplicationInfo, getBaseContext, getCacheDir, getClassLoader, getCodeCacheDir, getContentResolver, getDatabasePath, getDataDir, getDir, getExternalCacheDir, getExternalCacheDirs, getExternalFilesDir, getExternalFilesDirs, getExternalMediaDirs, getFilesDir, getFileStreamPath, getMainExecutor, getMainLooper, getNoBackupFilesDir, getObbDir, getObbDirs, getPackageCodePath, getPackageManager, getPackageName, getPackageResourcePath, getSharedPreferences, getSystemServiceName, getWallpaper, getWallpaperDesiredMinimumHeight, getWallpaperDesiredMinimumWidth, grantUriPermission, isDeviceProtectedStorage, isRestricted, moveDatabaseFrom, moveSharedPreferencesFrom, openFileInput, openFileOutput, openOrCreateDatabase, openOrCreateDatabase, peekWallpaper, registerReceiver, registerReceiver, registerReceiver, registerReceiver, removeStickyBroadcast, removeStickyBroadcastAsUser, revokeUriPermission, revokeUriPermission, sendBroadcast, sendBroadcast, sendBroadcastAsUser, sendBroadcastAsUser, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcastAsUser, sendStickyBroadcast, sendStickyBroadcastAsUser, sendStickyOrderedBroadcast, sendStickyOrderedBroadcastAsUser, setWallpaper, setWallpaper, startForegroundService, startInstrumentation, startService, stopService, unbindService, unregisterReceiver`

    - ### Methods inherited from class android.content.Context

      `getColor, getColorStateList, getDrawable, getString, getString, getSystemService, getText, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, registerComponentCallbacks, unregisterComponentCallbacks`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface android.content.ServiceConnection

      `onBindingDied, onNullBinding`

    - ### Methods inherited from interface android.view.Window.Callback

      `onPointerCaptureChanged`

- - ### Constructor Detail

    - #### SpieleinstellungenActivity

          public SpieleinstellungenActivity()

  - ### Method Detail

    - #### onCreate

          protected void onCreate(android.os.Bundle savedInstanceState)

      Overrides:
        `onCreate` in class `android.support.v7.app.AppCompatActivity`

    - #### ladeSpieldauerSpinner

          public void ladeSpieldauerSpinner()

      Fuellt den Spinner mit Werten fuer die Spieldauer.

    - #### zeigeSpinner

          public void zeigeSpinner(java.lang.String zeittyp)

      Description copied from interface: `SpieleinstellungenContract.View`
      Zeigt bei gleichem Zeittyp (außer bei "OhneZeit") die Spinner zur Auswahl der Zeit an.
      Specified by:
        `zeigeSpinner` in interface `SpieleinstellungenContract.View`
      Parameters:
        `zeittyp` - - Zeittyp, fuer den die Spinner angzeigt werden sollen.

    - #### versteckeSpinner

          public void versteckeSpinner()

      Description copied from interface: `SpieleinstellungenContract.View`
      Blendet die Spinner zur Auswahl der Zeit aus.
      Specified by:
        `versteckeSpinner` in interface `SpieleinstellungenContract.View`

    - #### setzeBereitButtonsAktiv

          public void setzeBereitButtonsAktiv(boolean aktiv)

      Description copied from interface: `SpieleinstellungenContract.View`
      Ermöglicht das Klicken auf den Bereit Button des Spielers.
      Specified by:
        `setzeBereitButtonsAktiv` in interface `SpieleinstellungenContract.View`
      Parameters:
        `aktiv` - - true, genau dann wenn der Button des Spielers klickbar sein soll

    - #### initView

          public void initView()

      Initialisiert die View-Elemente
      Specified by:
        `initView` in interface `BaseView<SpieleinstellungenContract.Presenter>`

    - #### setzePresenter

          public void setzePresenter(SpieleinstellungenContract.Presenter presenter)

      Specified by:
        `setzePresenter` in interface `BaseView<SpieleinstellungenContract.Presenter>`

    - #### zeigeZeittypOhneZeit

          public void zeigeZeittypOhneZeit(boolean istSpieler)

    - #### zeigeZeittypRundenzeit

          public void zeigeZeittypRundenzeit(boolean istSpieler)

      Zeigt den Zeittyp Rundenzeit fuer den Spieler oder den Gegner an.
      Parameters:
        `istSpieler` - - true, genau dann, wenn der Zeittyp fuer den Spieler angezeigt werden soll

    - #### zeigeGegnerZeittyp

          public void zeigeGegnerZeittyp(java.lang.String zeittyp)

      Zeigt den vom Gegner ausgewaehlten Zeittypen an.
      Specified by:
        `zeigeGegnerZeittyp` in interface `SpieleinstellungenContract.View`
      Parameters:
        `zeittyp` - - vom Gegner gewaehlter Zeittyp

    - #### setzeSpinnerListener

          public void setzeSpinnerListener()

      Bindet Listener an die Spinner-Elemente um zu überprüfen, welches Item aus dem Spinner gewählt wurde. Diese Wahl wird dann an den Gegener übertragen und angezeigt.

    - #### zeigeSpielerIstBereit

          public void zeigeSpielerIstBereit(boolean istBereit)

      Zeigt an, ob der Spieler bereit ist.
      Specified by:
        `zeigeSpielerIstBereit` in interface `SpieleinstellungenContract.View`
      Parameters:
        `istBereit` - - boolean Wert, der angibt ob der Gegner bereit ist

    - #### zeigeGegnerIstBereit

          public void zeigeGegnerIstBereit(boolean istBereit)

      Zeigt an, ob der Gegner bereit ist.
      Specified by:
        `zeigeGegnerIstBereit` in interface `SpieleinstellungenContract.View`
      Parameters:
        `istBereit` - - boolean Wert der angibt ob der Gegner bereit ist oder nicht

    - #### zeigeNeueGegnerMinuten

          public void zeigeNeueGegnerMinuten(int minutenIndex)

      Description copied from interface: `SpieleinstellungenContract.View`
      Zeigt die vom Gegner gewaehlten Minuten.
      Specified by:
        `zeigeNeueGegnerMinuten` in interface `SpieleinstellungenContract.View`
      Parameters:
        `minutenIndex` - - Index der vom Gegner gewaehlten Minuten im Spinner Array

    - #### zeigeNeueGegnerSekunden

          public void zeigeNeueGegnerSekunden(int sekundenIndex)

      Description copied from interface: `SpieleinstellungenContract.View`
      Zeigt die vom Gegner gewaehlten Sekunden.
      Specified by:
        `zeigeNeueGegnerSekunden` in interface `SpieleinstellungenContract.View`
      Parameters:
        `sekundenIndex` - - Index der vom Gegner gewaehlten Minuten im Spinner Array

    - #### zeigeGegnerHatEinstellungenVerlassen

          public void zeigeGegnerHatEinstellungenVerlassen()

      Description copied from interface: `SpieleinstellungenContract.View`
      Zeigt dem Spieler an, dass der Gegner die Spieleinstellungen verlassen hat
      Specified by:
        `zeigeGegnerHatEinstellungenVerlassen` in interface `SpieleinstellungenContract.View`

    - #### zeigeSpielerZeittyp

          public void zeigeSpielerZeittyp(java.lang.String zeitTyp)

      Description copied from interface: `SpieleinstellungenContract.View`
      Zeigt den vom Spieler gewaehlten Zeittyp an.
      Specified by:
        `zeigeSpielerZeittyp` in interface `SpieleinstellungenContract.View`
      Parameters:
        `zeitTyp` - - vom Spieler gewaehlter Zeittyp

    - #### onPause

          public void onPause()

      Diese Methode wird ausgeführt, wenn die Activity nicht mehr sichtbar ist.
      Overrides:
        `onPause` in class `android.support.v4.app.FragmentActivity`

    - #### onResume

          public void onResume()

      Diese Methode wird ausgeführt, wenn die Activity wieder sichtbar wird.
      Overrides:
        `onResume` in class `android.support.v4.app.FragmentActivity`

    - #### starteSpiel

          public void starteSpiel(java.lang.String zeittyp,
                                  java.lang.String gegnername,
                                  java.lang.String raum,
                                  int minutenIndex,
                                  int sekundenIndex)

      Description copied from interface: `SpieleinstellungenContract.View`
      Startet das Spiel auf Basis der eingestellten Zeiten.
      Specified by:
        `starteSpiel` in interface `SpieleinstellungenContract.View`
      Parameters:
        `zeittyp` - - Zeittyp des Spiels
        `gegnername` - - Name des Gegners
        `raum` - - Raum, in dem die Nachrichten der Spieler ausgetauscht werden sollen
        `minutenIndex` - - Index der Minutenauswahl
        `sekundenIndex` - - Index der Sekundenauswahl

    - #### onBackPressed

          public void onBackPressed()

      Overrides:
        `onBackPressed` in class `android.support.v4.app.FragmentActivity`

    - #### onItemSelected

          public void onItemSelected(android.widget.AdapterView<?> parent,
                                     android.view.View view,
                                     int position,
                                     long id)

      Specified by:
        `onItemSelected` in interface `android.widget.AdapterView.OnItemSelectedListener`

    - #### onNothingSelected

          public void onNothingSelected(android.widget.AdapterView<?> parent)

      Specified by:
        `onNothingSelected` in interface `android.widget.AdapterView.OnItemSelectedListener`

    - #### onServiceConnected

          public void onServiceConnected(android.content.ComponentName name,
                                         android.os.IBinder service)

      Specified by:
        `onServiceConnected` in interface `android.content.ServiceConnection`

    - #### onServiceDisconnected

          public void onServiceDisconnected(android.content.ComponentName name)

      Specified by:
        `onServiceDisconnected` in interface `android.content.ServiceConnection`

    - #### onVerlassenBestaetigt

          public void onVerlassenBestaetigt()

      Description copied from interface: `SpieleinstellungenVerlassenDialog.OnAuswahlGetroffenListener`
      Teilt der Activity mit, dass die Spieleinstellungen verlassen werden sollen.
      Specified by:
        `onVerlassenBestaetigt` in interface `SpieleinstellungenVerlassenDialog.OnAuswahlGetroffenListener`

    - #### onVerlassenAbgebrochen

          public void onVerlassenAbgebrochen()

      Description copied from interface: `SpieleinstellungenVerlassenDialog.OnAuswahlGetroffenListener`
      Teilt der Activity mit, dass die Spieleinstellungen nicht verlassen werden sollen.
      Specified by:
        `onVerlassenAbgebrochen` in interface `SpieleinstellungenVerlassenDialog.OnAuswahlGetroffenListener`

    - #### onDialogBestaetigt

          public void onDialogBestaetigt()

      Specified by:
        `onDialogBestaetigt` in interface `SpieleinstellungenWurdenVerlassenDialog.OnDialogBestaetigtListener`